package acct

import (
	"gitlab.com/oiacow/goheroes/backend/config"
	"gitlab.com/oiacow/goheroes/backend/core"
)

type ansGetTelemetryToken struct {
	Txn            string `fesl:"TXN"`
	TelemetryToken string `fesl:"telemetryToken"`
	Enabled        string `fesl:"enabled"`
	Filters        string `fesl:"filters"`
	Disabled       bool   `fesl:"disabled"`
}

// TeleToken handles acct.TeleToken cmd
func (acct *Account) TeleToken(event core.EClientCmd) {
	acct.answer(
		event.Client,
		event.Cmd.PayloadID,
		ansGetTelemetryToken{
			Txn:            acctGetTelemetryToken,
			TelemetryToken: config.General.TelemetryToken,
			Enabled:        "US",
		},
	)
}
