package gsum

import (
	"gitlab.com/oiacow/goheroes/backend/core"
	"gitlab.com/oiacow/goheroes/backend/core/codec"
)

type GameSummary struct {
	//
}

func (gsum *GameSummary) answer(client *core.Client, pnum uint32, payload interface{}) {
	client.WriteEncode(&codec.Answer{
		Type:         codec.FeslGameSummary,
		PacketNumber: pnum,
		Payload:      payload,
	})
}

type ansGetSessionID struct {
	Txn string `fesl:"TXN"`
}

// GetSessionID handles gsum.GetSessionID cmd
func (gsum *GameSummary) GetSessionID(client *core.Client, event *codec.Cmd) {
	gsum.answer(client, 0, ansGetSessionID{
		Txn: "GetSessionId",
	})
}
